<template>
  <div class="organizations">
    <div class="org-header">
      <h2>Organizations</h2>
    </div>
    <van-pull-refresh v-model="isLoading" @refresh="onRefresh">
      <van-cell-group>
        <OrganizationItem v-for="(organization, key) in filteredOrganizations" :organization="organization" :key="key"/>
      </van-cell-group>
    </van-pull-refresh>
    <div class="no-orgs" v-if="!filteredOrganizations.length > 0">
      <img :src="freeloader"/>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import freeloader from '../../assets/free-loader.svg';
import isStandAloneMode from '../../utils/standalone';
import OrganizationItem from './OrganizationItem.vue';
import { FETCH_ORGS_INIT, basePath as organizationStore } from './actions';

export default {
  name: 'OrganizationList',
  components: {
    OrganizationItem,
  },
  methods: {
    routeToClaimsView() {
      this.$router.push({ path: `/organizations/${this.organization.did}` });
    },
    onRefresh() {
      setTimeout(() => {
        this.isLoading = false;
      }, 500);
    },
  },
  data() {
    return {
      isLoading: false,
      isStandAloneMode: isStandAloneMode(),
      freeloader,
    };
  },
  computed: {
    ...mapGetters('Organization', ['organizations', 'filteredOrganizations']),
  },
  mounted() {
    this.$parent.$emit('send', 'refresh');
  },
  created() {
    this.$store.dispatch(organizationStore(FETCH_ORGS_INIT), {});
  },
  destroyed() {
  },
};
</script>

<style lang="less">
.organizations {
  &-poster {
    width: 100%;
    display: block;
  }
  &-group {
    margin-bottom: 15px;
  }
  &-links {
    padding: 15px 0;
    font-size: 12px;
    text-align: center;
    background-color: #fff;
    .van-icon {
      display: block;
      font-size: 24px;
    }
  }
}


.no-orgs {
  padding: 7em 0;
  text-align: center;
}
.no-orgs p {
  color:white;
}
</style>
